%YAML 1.1
---
gfVersion: v1.0
class: app

name: test-rotate-gf
description: Test rotate
repo_uri: https://gitlab.com/geneflow/apps/test-rotate-gf.git
version: '0.1'
inputs:
  input:
    label: Text File
    description: Text file
    type: File
parameters:
  rotate:
    label: Rotation Number
    description: Number of indices to rotate characters
    type: int
    default: 1
  output:
    label: Output Text File
    description: Output text file
    type: File
definition:
{% if agave %}
  agave:
    agave_app_id: {{ agave.appsPrefix }}-test-rotate-gf-0.1{{ revision }}
{% endif %}
  local:
    script: test-rotate-gf.sh
...